1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

RPi + OpenELEC Home Assistant Hyperion Integration ‘Failed to determine if authorization is required’ error

Discussion in 'Software Support' started by alieg, 12 January 2021.

  1. alieg

    alieg New Member

    Messages:
    11
    Hardware:
    RPi3
    I’m trying to install the Hyperion integration on Home Assistant, however it fails with the error ‘Aborted: Failed to determine if authorization is required’

    [​IMG]

    [​IMG]

    I have the Hyperion app on my phone which connects to the same IP and port (19444) without any issue
    I have posted on the Home Assistant forum but wondered if anybody here has any insight?

    I have ssh keys enabled on the pi that is hosting Hyperion and the Home Assistant VM has a keypair - this is the only thing I can think of that may cause authentication issues, but this is not using SSH to connect and my phone app can connect without any authentication prompts
     
  2. alieg

    alieg New Member

    Messages:
    11
    Hardware:
    RPi3
    I think I've figured it out - the integration is only for Hyperion NG. As NG is only in Alpha, will there be a way to transition when it is stable?
     
  3. NeeeeB

    NeeeeB Active Member

    Messages:
    237
    Hardware:
    RPi3, +Arduino, +nodeMCU/ESP8266
    Even if it is in Alpha, it is much more user friendly than the classic one.
    You just switch now.
    (plus there is no more support for the classic version)
     
  4. alieg

    alieg New Member

    Messages:
    11
    Hardware:
    RPi3
    I had a bit of look, but I couldn't find any information/tutorials on how to install on OpenElec. It's been 12+ months since I did the install so the process is a little hazy.
     
  5. NeeeeB

    NeeeeB Active Member

    Messages:
    237
    Hardware:
    RPi3, +Arduino, +nodeMCU/ESP8266